Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456473 - GNOME panel sticks on the top of the screen even if positioned at the bottom
Summary: GNOME panel sticks on the top of the screen even if positioned at the bottom
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-23 21:44 UTC by Andre Costa
Modified: 2009-08-03 12:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:23:40 UTC


Attachments (Terms of Use)

Description Andre Costa 2008-07-23 21:44:33 UTC
Description of problem:
I prefer to have the panel with the main menu at the bottom instead of the top
of the screen, and the panel with the window list at the top. It's easy to
reposition the two panels, either by setting the preferences or by dragging them
around. The problem is that when I log back in the panel with the window list is
at the top as expected, but the panel with the menu is positioned right below
it, as if they were stacked.


Version-Release number of selected component (if applicable):
2.22.2

How reproducible:
Always

Steps to Reproduce:
1.drag panel with menu to the bottom of the screen, and the panel with the
window list to the top
2.logout
3.login
  
Actual results:
The panel with the window list is positioned at the top, but the panel with the
menu is positioned right below it

Expected results:
The panel with the menu should be positioned at the bottom of the screen

Additional info:
The panel with the menu is configured with "expand" set to "no".

Comment 1 Andre Costa 2008-07-24 09:39:44 UTC
Well, I just found out it is not always reproducible. I just logged in and
panels are where I told them to be. Since I rearranged applets across panels
yesterday, I will investigate further to see if there's any relation with which
applets are present on each panel.

Comment 2 Bug Zapper 2009-06-10 02:12:12 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 16:23:40 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Lukas Lueg 2009-07-31 18:55:49 UTC
I can report the exact same behaviour on Fedora 11: Menu at bottom, window-bar at the top. Bottom-panel set to "auto-disappear" and "don't-expand". After login the bottom panel sticks to the top panel instead of staying at the bottom.

To temp-fix it, you have to set to bottom panel to "expand", then set it to bottom and then to "don't expand" again. This will fix it until the next login...

Comment 5 Andre Costa 2009-08-03 12:48:03 UTC
I haven't upgraded to F11 yet, so I can't post my own experience, but I guess this is enough reason to reopen it.

Comment 6 Andre Costa 2009-08-03 12:50:45 UTC
... that is if I knew how to reopen it :-( AFAICS I can only change the status to "ASSIGNED", is this what I should do?


Note You need to log in before you can comment on or make changes to this bug.